LZMAINFO(1)

NAME
lzmainfo - show information stored in the .lzma file header

SYNOPSIS
lzmainfo [--help] [--version] [file]...

DESCRIPTION
lzmainfo shows information stored in the .lzma file header. It reads the first 13 bytes from the specified file, decodes the header, and prints it to standard output in human readable format. If no files are given or file is -, standard input is read.

Usually the most interesting information is the uncompressed size and the dictionary size. Uncompressed size can be shown only if the file is in the non-streamed .lzma format variant. The amount of memory required to decompress the file is a few dozen kilobytes plus the dictionary size.

lzmainfo is included in XZ Utils primarily for backward compatibility with LZMA Utils.

EXIT STATUS

0   All is good.

1   An error occurred.

BUGS
lzmainfo uses MB while the correct suffix would be MiB (2^20 bytes). This is to keep the output compatible with LZMA Utils.

SEE ALSO
xz(1)